org.apache.solr.handler

## Class AnalysisRequestHandlerBase.AnalysisContext

- java.lang.Object
- - org.apache.solr.handler.AnalysisRequestHandlerBase.AnalysisContext

- Enclosing class:
    AnalysisRequestHandlerBase

      protected static class AnalysisRequestHandlerBase.AnalysisContext
      extends Object

  Serves as the context of an analysis process. This context contains the following constructs

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalysisContext(FieldType fieldType, Analyzer analyzer, Set<BytesRef> termsToMatch)` Constructs a new AnalysisContext with a given field tpe, analyzer and termsToMatch.
    `AnalysisContext(String fieldName, FieldType fieldType, Analyzer analyzer)` Constructs an AnalysisContext with a given field name, field type and analyzer.
    `AnalysisContext(String fieldName, FieldType fieldType, Analyzer analyzer, Set<BytesRef> termsToMatch)` Constructs a new AnalysisContext with a given field tpe, analyzer and termsToMatch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Analyzer` | `getAnalyzer()`
    `String` | `getFieldName()`
    `FieldType` | `getFieldType()`
    `Set<BytesRef>` | `getTermsToMatch()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnalysisContext

          public AnalysisContext(FieldType fieldType,
                                 Analyzer analyzer,
                                 Set<BytesRef> termsToMatch)

      Constructs a new AnalysisContext with a given field tpe, analyzer and termsToMatch. By default the field name in this context will be `null`. During the analysis processs, The produced tokens will be compaired to the terms in the `termsToMatch` set. When found, these tokens will be marked as a match.
      Parameters:
        `fieldType` - The type of the field the analysis is performed on.
        `analyzer` - The analyzer to be used.
        `termsToMatch` - Holds all the terms that should match during the analysis process.

    - #### AnalysisContext

          public AnalysisContext(String fieldName,
                                 FieldType fieldType,
                                 Analyzer analyzer)

      Constructs an AnalysisContext with a given field name, field type and analyzer. By default this context will hold no terms to match
      Parameters:
        `fieldName` - The name of the field the analysis is performed on (may be `null`).
        `fieldType` - The type of the field the analysis is performed on.
        `analyzer` - The analyzer to be used during the analysis process.

    - #### AnalysisContext

          public AnalysisContext(String fieldName,
                                 FieldType fieldType,
                                 Analyzer analyzer,
                                 Set<BytesRef> termsToMatch)

      Constructs a new AnalysisContext with a given field tpe, analyzer and termsToMatch. During the analysis processs, The produced tokens will be compared to the terms in the `termsToMatch` set. When found, these tokens will be marked as a match.
      Parameters:
        `fieldName` - The name of the field the analysis is performed on (may be `null`).
        `fieldType` - The type of the field the analysis is performed on.
        `analyzer` - The analyzer to be used.
        `termsToMatch` - Holds all the terms that should match during the analysis process.

  - ### Method Detail

    - #### getFieldName

          public String getFieldName()

    - #### getFieldType

          public FieldType getFieldType()

    - #### getAnalyzer

          public Analyzer getAnalyzer()

    - #### getTermsToMatch

          public Set<BytesRef> getTermsToMatch()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.